Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.operations
Class DefaultFileOperations

    java.lang.Object
      org.apache.commons.vfs.operations.DefaultFileOperations

All Implemented Interfaces:
  FileOperations

public class DefaultFileOperations
extends Object
implements FileOperations

todo: add class description here

Since:
  0.1
Author:
  Siarhei Baidun

Constructor Summary
`DefaultFileOperations(FileObject file)`

Method Summary
`FileOperation` | `getOperation(Class operationClass)`
`Class[]` | `getOperations()`
`boolean` | `hasOperation(Class operationClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFileOperations

    public DefaultFileOperations(FileObject file)

Parameters:
  `file` -

Method Detail

### getOperations

    public Class[] getOperations()
                          throws FileSystemException

  Specified by:
    `getOperations` in interface `FileOperations`
  Returns:
  Throws:
    `FileSystemException`

### getOperation

    public FileOperation getOperation(Class operationClass)
                               throws FileSystemException

  Specified by:
    `getOperation` in interface `FileOperations`
  Parameters:
    `operationClass` -
  Returns:
  Throws:
    `FileSystemException`

### hasOperation

    public boolean hasOperation(Class operationClass)
                         throws FileSystemException

  Specified by:
    `hasOperation` in interface `FileOperations`
  Parameters:
    `operationClass` - the operation's class.
  Returns:
    true if the operation of specified class is supported for current FileObject and false otherwise.
  Throws:
    `FileSystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.